com.tibbo.aggregate.common.datatable.encoding

## Class TransferEncodingHelper

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.encoding.TransferEncodingHelper

-     public class TransferEncodingHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `END_CHAR`
    `static char` | `ESCAPE_CHAR`
    `static int` | `GB`
    `static int` | `KB`
    `static int` | `KILO`
    `static int` | `LARGE_DATA_SIZE`
    `static int` | `MB`
    `static char` | `SEPARATOR_CHAR`
    `static char` | `START_CHAR`
    `static long` | `TB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferEncodingHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `decode(java.lang.String s, ClassicEncodingSettings settings)`
    `static java.lang.String` | `decode(StringWrapper s)`
    `static java.lang.String` | `encode(java.lang.String strVal)`
    `static java.lang.String` | `encode(java.lang.String strVal, java.lang.Integer encodeLevel)`
    `static java.lang.StringBuilder` | `encode(java.lang.String strFrom, java.lang.StringBuilder strTo, java.lang.Integer encodeLevel)`
    `static void` | `encodeChar(char c, java.lang.StringBuilder sb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ESCAPE_CHAR

          public static final char ESCAPE_CHAR

      See Also:
        Constant Field Values

    - #### SEPARATOR_CHAR

          public static final char SEPARATOR_CHAR

      See Also:
        Constant Field Values

    - #### START_CHAR

          public static final char START_CHAR

      See Also:
        Constant Field Values

    - #### END_CHAR

          public static final char END_CHAR

      See Also:
        Constant Field Values

    - #### KILO

          public static final int KILO

      See Also:
        Constant Field Values

    - #### KB

          public static final int KB

      See Also:
        Constant Field Values

    - #### MB

          public static final int MB

      See Also:
        Constant Field Values

    - #### GB

          public static final int GB

      See Also:
        Constant Field Values

    - #### TB

          public static final long TB

      See Also:
        Constant Field Values

    - #### LARGE_DATA_SIZE

          public static final int LARGE_DATA_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransferEncodingHelper

          public TransferEncodingHelper()

  - ### Method Detail

    - #### encodeChar

          public static void encodeChar(char c,
                                        java.lang.StringBuilder sb)

    - #### encode

          public static java.lang.String encode(java.lang.String strVal)

    - #### encode

          public static java.lang.String encode(java.lang.String strVal,
                                                java.lang.Integer encodeLevel)

    - #### encode

          public static java.lang.StringBuilder encode(java.lang.String strFrom,
                                                       java.lang.StringBuilder strTo,
                                                       java.lang.Integer encodeLevel)

    - #### decode

          public static java.lang.String decode(java.lang.String s,
                                                ClassicEncodingSettings settings)

    - #### decode

          public static java.lang.String decode(StringWrapper s)